import oscP5.*;
import netP5.*;

int sz = 10;
int numBoles = 200;

//creem una matriu de posicionsX con "numBoles" elements:
float[] posicionsX = new float[numBoles];
//el mateix per posicionsY:
float[] posicionsY = new float[numBoles];
//i per velocitatsX:
float[] velocitatsX = new float[numBoles];
//i velocitatsY:
float[] velocitatsY = new float[numBoles];

//objecte moute
MouTe mt = new MouTe();

void setup(){
  size(600,450);
  //inicialitzem posicions i velocitats:
  for(int i = 0; i<numBoles; i++){
    posicionsX[i] = width/2;
    posicionsY[i] = height/2;
    velocitatsX[i] = random(1,3);
    velocitatsY[i] = random(1,3);
  }
}

void draw(){
  background(0);

  mt.dibuixaSiluetaRelatiu();
 
  //iniciem un bucle perquÃ¨ faci les mateixes accions
  //a tots els valors de les matrius
  for(int i = 0; i<numBoles; i++){
    //actualitzem posicions
    posicionsX[i] += velocitatsX[i];
    posicionsY[i] += velocitatsY[i];
    //comprobem lÃ­mits X
    if((posicionsX[i]<0)||(posicionsX[i]>width)){
      velocitatsX[i] = -velocitatsX[i];
    } 
    //comprobem limits y
    if((posicionsY[i]<0)||(posicionsY[i]>height)){
      velocitatsY[i] = -velocitatsY[i];
    }   
   //comprobem color per dibuixar segons sigui dins o fora la silueta
      if(mt.isInsideSilhouette(posicionsX[i],posicionsY[i])){
        fill(255,0,0);
      } else {
        fill(255); 
      }
      noStroke();
   
   //i dibuixem
    ellipse(posicionsX[i],posicionsY[i],sz,sz);
  }
}



