/*
 Autor: Joan Soler-Adillon (www.joan.cat)
 Tutorial de Processing
 */
import oscP5.*;
import netP5.*;

import ddf.minim.spi.*;
import ddf.minim.signals.*;
import ddf.minim.*;
import ddf.minim.analysis.*;
import ddf.minim.ugens.*;
import ddf.minim.effects.*;


Minim minim;//creem un objecte de so
AudioOutput out;//creem un output
SineWave sine;//i un objecte d'ona sinusoïdal per fer soroll

MouTe mt = new MouTe();//Objecte mouTe

void setup() {
  size(650, 400);
  minim = new Minim(this);//instanciem l'objecte de so
  out = minim.getLineOut(Minim.STEREO, 2048);//instanciem l'out      
  sine = new SineWave(440, 0.2, out.sampleRate());//i l'ona
  out.addSignal(sine);//i activem l'out
  stroke(255);
}

void draw() {
  background(0);
  float laY = mt.getUpperYBoxRelative();

  //si hi ha usuari:
  if (laY > 0) { //amb això sabem si hi ha o no usuari
    //dibuixem
    line(0, laY, width, laY);

    // fem que la freqüència depengui de l'alçada de la caixa
    sine.setAmp(1);
    float freq = map(laY, 0, height, 1500, 400);
    sine.setFreq(freq);
  } 
  else {
    sine.setAmp(0); //volum del so a 0
  }
}

