class spaceShip {
  float x, y;
  int xStep, delayBetweenBullets;
  int lastBulletTime = -10000;
  float prevShootValueCheck = 1000;
  int shootYValue = 50;


  spaceShip(int _x, int _y, int _s, int _d) {
    x = _x;
    y = _y;
    xStep = _s;
    delayBetweenBullets = _d;
  } 

  void update() {
    drawMe(); 
    moveMe();
    checkGunFire();
    checkInvaders();
  }

  void moveMe() {//with MouTe

      x = mt.getCenterXRelative();
  }

  void checkGunFire() {

   // println(mt.getUpperYBoxRelative()+"---"+prevCenterXRelative);
    if (mt.getUpperYBoxRelative() < shootYValue) {
      if (prevShootValueCheck > shootYValue) {
        shoot();
      }
    }
    prevShootValueCheck = mt.getUpperYBoxRelative();
  }


  void drawMe() {
    //println("_____________"+x+"oo"+y);
    image(spaceShip, x, y);
  }

  void incrementX() {
    x += xStep;
  }
  void decrementX() {
    x -= xStep;
  }
  void setX(int _newX) {
    x = _newX;
  }

  void shoot() {
    if (millis()-lastBulletTime > delayBetweenBullets) { 
      bulletsList.add(new bullet(x, bulletSpeed));
      lastBulletTime = millis();
    }
  } 

  void checkInvaders() {
    for (int i=0;i<numOfInvaders;i++) {
      if (invaders[i].isAlive()) {
        float iy = invaders[i].getY();
        if (iy >= height-spaceShipDistanceToBottom-15) {
          //SE ACABÓ EL JUEGO
          fill(255, 0, 0);
          stroke(255, 0, 0);
          rect(0, 0, width, height);
        }
      }
    }
  }
}

